Package org.eclipse.mat.ui.internal.query.arguments

# Enum LinkEditor.Mode

java.lang.Object
java.lang.Enum<LinkEditor.Mode>
org.eclipse.mat.ui.internal.query.arguments.LinkEditor.Mode

All Implemented Interfaces:
  `Serializable`, `Comparable<LinkEditor.Mode>`, `java.lang.constant.Constable`

Enclosing class:
  LinkEditor

public static enum LinkEditor.Mode extends Enum<LinkEditor.Mode>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ADVANCED_MODE`
`SIMPLE_MODE`

## Method Summary

Modifier and Type
Method
Description
`String`
`getModeType()`
`static LinkEditor.Mode`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static LinkEditor.Mode[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ADVANCED_MODE

public static final LinkEditor.Mode ADVANCED_MODE

### SIMPLE_MODE

public static final LinkEditor.Mode SIMPLE_MODE

## Method Details

### values

public static LinkEditor.Mode[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static LinkEditor.Mode valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getModeType

public String getModeType()